<html>
<head>
<title>Ogre::HardwareBufferManagerBase::VertexBufferLicense Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1HardwareBufferManagerBase.html">HardwareBufferManagerBase</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1HardwareBufferManagerBase_1_1VertexBufferLicense.html">VertexBufferLicense</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::HardwareBufferManagerBase::VertexBufferLicense Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::HardwareBufferManagerBase::VertexBufferLicense" -->
<p>Struct holding details of a license to use a temporary shared buffer.  
 <a href="classOgre_1_1HardwareBufferManagerBase_1_1VertexBufferLicense.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreHardwareBufferManager_8h_source.html">OgreHardwareBufferManager.h</a>&gt;</code></p>

<p><a href="classOgre_1_1HardwareBufferManagerBase_1_1VertexBufferLicense-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBufferManagerBase_1_1VertexBufferLicense.html#a2b2257dfe47d0f60fdc06d86cec8e20c">VertexBufferLicense</a> (<a class="el" href="classOgre_1_1HardwareVertexBuffer.html">HardwareVertexBuffer</a> *orig, <a class="el" href="classOgre_1_1HardwareBufferManagerBase.html#a88f21df1e7ee330033812ddeba4a08fa">BufferLicenseType</a> ltype, size_t delay, <a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a> buf, <a class="el" href="classOgre_1_1HardwareBufferLicensee.html">HardwareBufferLicensee</a> *lic)</td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1HardwareVertexBuffer.html">HardwareVertexBuffer</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBufferManagerBase_1_1VertexBufferLicense.html#a2f1861c5228c9f0c56471173f92ae366">originalBufferPtr</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1HardwareBufferManagerBase.html#a88f21df1e7ee330033812ddeba4a08fa">BufferLicenseType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBufferManagerBase_1_1VertexBufferLicense.html#aacc05cfc81340bfb844a16b50ec62ce8">licenseType</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBufferManagerBase_1_1VertexBufferLicense.html#a79241d934a960a70e5df287bc5521f2f">expiredDelay</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBufferManagerBase_1_1VertexBufferLicense.html#a1a95ec58966b8200dba0df5b10965b5a">buffer</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1HardwareBufferLicensee.html">HardwareBufferLicensee</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1HardwareBufferManagerBase_1_1VertexBufferLicense.html#a4115ddd9b35a4e04ef14f616efc670e5">licensee</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Struct holding details of a license to use a temporary shared buffer. </p>

<p>Definition at line <a class="el" href="OgreHardwareBufferManager_8h_source.html#l00163">163</a> of file <a class="el" href="OgreHardwareBufferManager_8h_source.html">OgreHardwareBufferManager.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a2b2257dfe47d0f60fdc06d86cec8e20c"></a><!-- doxytag: member="Ogre::HardwareBufferManagerBase::VertexBufferLicense::VertexBufferLicense" ref="a2b2257dfe47d0f60fdc06d86cec8e20c" args="(HardwareVertexBuffer *orig, BufferLicenseType ltype, size_t delay, HardwareVertexBufferSharedPtr buf, HardwareBufferLicensee *lic)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HardwareBufferManagerBase_1_1VertexBufferLicense.html#a2b2257dfe47d0f60fdc06d86cec8e20c">Ogre::HardwareBufferManagerBase::VertexBufferLicense::VertexBufferLicense</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwareVertexBuffer.html">HardwareVertexBuffer</a> *&#160;</td>
          <td class="paramname"><em>orig</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwareBufferManagerBase.html#a88f21df1e7ee330033812ddeba4a08fa">BufferLicenseType</a>&#160;</td>
          <td class="paramname"><em>ltype</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>delay</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a>&#160;</td>
          <td class="paramname"><em>buf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwareBufferLicensee.html">HardwareBufferLicensee</a> *&#160;</td>
          <td class="paramname"><em>lic</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreHardwareBufferManager_8h_source.html#l00171">171</a> of file <a class="el" href="OgreHardwareBufferManager_8h_source.html">OgreHardwareBufferManager.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a1a95ec58966b8200dba0df5b10965b5a"></a><!-- doxytag: member="Ogre::HardwareBufferManagerBase::VertexBufferLicense::buffer" ref="a1a95ec58966b8200dba0df5b10965b5a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a> <a class="el" href="classOgre_1_1HardwareBufferManagerBase_1_1VertexBufferLicense.html#a1a95ec58966b8200dba0df5b10965b5a">Ogre::HardwareBufferManagerBase::VertexBufferLicense::buffer</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreHardwareBufferManager_8h_source.html#l00169">169</a> of file <a class="el" href="OgreHardwareBufferManager_8h_source.html">OgreHardwareBufferManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="a79241d934a960a70e5df287bc5521f2f"></a><!-- doxytag: member="Ogre::HardwareBufferManagerBase::VertexBufferLicense::expiredDelay" ref="a79241d934a960a70e5df287bc5521f2f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1HardwareBufferManagerBase_1_1VertexBufferLicense.html#a79241d934a960a70e5df287bc5521f2f">Ogre::HardwareBufferManagerBase::VertexBufferLicense::expiredDelay</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreHardwareBufferManager_8h_source.html#l00168">168</a> of file <a class="el" href="OgreHardwareBufferManager_8h_source.html">OgreHardwareBufferManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4115ddd9b35a4e04ef14f616efc670e5"></a><!-- doxytag: member="Ogre::HardwareBufferManagerBase::VertexBufferLicense::licensee" ref="a4115ddd9b35a4e04ef14f616efc670e5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HardwareBufferLicensee.html">HardwareBufferLicensee</a>* <a class="el" href="classOgre_1_1HardwareBufferManagerBase_1_1VertexBufferLicense.html#a4115ddd9b35a4e04ef14f616efc670e5">Ogre::HardwareBufferManagerBase::VertexBufferLicense::licensee</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreHardwareBufferManager_8h_source.html#l00170">170</a> of file <a class="el" href="OgreHardwareBufferManager_8h_source.html">OgreHardwareBufferManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="aacc05cfc81340bfb844a16b50ec62ce8"></a><!-- doxytag: member="Ogre::HardwareBufferManagerBase::VertexBufferLicense::licenseType" ref="aacc05cfc81340bfb844a16b50ec62ce8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HardwareBufferManagerBase.html#a88f21df1e7ee330033812ddeba4a08fa">BufferLicenseType</a> <a class="el" href="classOgre_1_1HardwareBufferManagerBase_1_1VertexBufferLicense.html#aacc05cfc81340bfb844a16b50ec62ce8">Ogre::HardwareBufferManagerBase::VertexBufferLicense::licenseType</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreHardwareBufferManager_8h_source.html#l00167">167</a> of file <a class="el" href="OgreHardwareBufferManager_8h_source.html">OgreHardwareBufferManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2f1861c5228c9f0c56471173f92ae366"></a><!-- doxytag: member="Ogre::HardwareBufferManagerBase::VertexBufferLicense::originalBufferPtr" ref="a2f1861c5228c9f0c56471173f92ae366" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HardwareVertexBuffer.html">HardwareVertexBuffer</a>* <a class="el" href="classOgre_1_1HardwareBufferManagerBase_1_1VertexBufferLicense.html#a2f1861c5228c9f0c56471173f92ae366">Ogre::HardwareBufferManagerBase::VertexBufferLicense::originalBufferPtr</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreHardwareBufferManager_8h_source.html#l00166">166</a> of file <a class="el" href="OgreHardwareBufferManager_8h_source.html">OgreHardwareBufferManager.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreHardwareBufferManager_8h_source.html">OgreHardwareBufferManager.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:56
</p>
</body>
</html>
